// --------------------------------------
// XY - A double precistion (x, y) point
// --------------------------------------

public class XY
{
   // --------------------------------------
   // XY - Construct from (x, y)
   // --------------------------------------

   public XY(double x, double y)
   {
      mX = x;
      mY = y;
   }

   // --------------------------------------
   // distance - Returns the distance from
   //            'other'
   // --------------------------------------

   public double distance(XY other)
   {
      double xDelta = other.mX - mX;
      double yDelta = other.mY - mY;

      return(Math.sqrt(xDelta * xDelta + yDelta * yDelta));
   }

   // --------------------------------------
   // Member Variables
   // --------------------------------------

   public double mX = 0.0;
   public double mY = 0.0;
}
